/*
 * Copyright 2003 Sun Microsystems, Inc.  All rights reserved.
 * Use is subject to license terms.
 */

#ifndef	_CMP_H
#define	_CMP_H

#pragma ident	"@(#)cmp.h	1.2	03/05/08 SMI"

#include <sys/cpuvar.h>

#ifdef	__cplusplus
extern "C" {
#endif

extern int cmp_cpu_is_cmp(processorid_t cpuid);
extern void cmp_add_cpu(chipid_t chipid, processorid_t cpuid);
extern void cmp_delete_cpu(processorid_t cpuid);
extern void cmp_error_resteer(processorid_t outgoing);
extern chipid_t cmp_cpu_to_chip(processorid_t cpuid);

#ifdef	__cplusplus
}
#endif

#endif /* _CMP_H */
